--[[
Copyright 2008, 2009, 2010 João Cardoso
Sushi is distributed under the terms of the GNU General Public License (or the Lesser GPL).
This file is part of Sushi.

Sushi is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Sushi is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushi. If not, see <http://www.gnu.org/licenses/>.
--]]

local Sushi = LibStub('Sushi-2.0')
local Heading, old = Sushi:NewWidgetClass('Heading', {
	insets = {top = 12, bottom = 3, left = 12, right = 12},
	version = 1,
})

if not Heading then
	return
end

function Heading:UpdateFont()
	local font
	if not self:IsDisabled() then
		font = 'Normal'
	else
		font = 'Disable'
	end
	if not self:IsSmall() then
		font = font ..'Large'
	end
	
	self.Text:SetFontObject('GameFont' .. font)
	self:UpdateHeight()
end

if not old then
	Sushi:GetClass('Description'):Embed(Heading, 'UpdateFont', 'frameType')
else
	Heading:UpdateEmbeds()
end